package org.hibernate.test.annotations.propertyref;


import java.util.List;

import org.hibernate.Session;
import org.hibernate.cfg.Configuration;

import org.hibernate.cfg.Environment;
import org.hibernate.junit.functional.FunctionalTestCase;

/**
 * @author Steve Ebersole
 */
public class DoesNotWorkWithHbmTest extends FunctionalTestCase {
	public DoesNotWorkWithHbmTest(String string) {
		super( string );
	}

	@Override
	public String[] getMappings() {
		return new String[] { "annotations/propertyref/Mapping.hbm.xml" };
	}

	@Override
	public void configure(Configuration configuration) {
		super.configure( configuration );
		configuration.setProperty( Environment.USE_SECOND_LEVEL_CACHE, "false" );
		configuration.setProperty( Environment.HBM2DDL_IMPORT_FILES, "/org/hibernate/test/annotations/propertyref/import.sql" );
	}

	public void testIt() {
		DoesNotWorkPk pk = new DoesNotWorkPk();
		pk.setId1( "ZZZ" );
		pk.setId2( "00" );

//		{
//			Session session = openSession();
//			session.beginTransaction();
//			DoesNotWork entity = new DoesNotWork( pk );
//			entity.setGlobalNotes( Arrays.asList( "My first note!" ) );
//			session.save( entity );
//			session.getTransaction().commit();
//			session.close();
//		}

		{
			Session session = openSession();
			session.beginTransaction();
			DoesNotWork entity = (DoesNotWork) session.get( DoesNotWork.class, pk );
			assertNotNull( entity );
			List<String> notes = entity.getGlobalNotes();
			assertNotNull( notes );
			assertEquals( 2, notes.size() );
			for ( String s : notes ) {
				System.out.println( s );
			}
			session.delete( entity );
			session.getTransaction().commit();
			session.close();
		}
	}
}

